<!--
title: Git actions guide
description: 
published: true
date: 2022-01-14T08:38:30.046Z
tags: 
editor: ckeditor
dateCreated: 2021-12-21T14:01:17.854Z
-->

<h1>Git Actions Guide&nbsp;</h1>
<p>Git explained to get you started: <a href="https://www.youtube.com/playlist?list=PLRqwX-V7Uu6ZF9C0YMKuns9sLDzK6zoiV">https://www.youtube.com/playlist?list=PLRqwX-V7Uu6ZF9C0YMKuns9sLDzK6zoiV</a> .</p>
<h1>Clone an existing project</h1>
<p>Open a new (empty) VS Code Window and go to the <strong>Explorer </strong>(<code>Ctrl+Shift+E</code>). Click on <strong>Clone Respository</strong> and enter the repository’s URL, for example <a href="https://gitlab.com/hu-hc/jcr/jcr-getting-started">https://gitlab.com/hu-hc/jcr/jcr-getting-started</a>.</p>
<p>Please test and document the authentcation process, since my setup was already configured. You’re most welcome to improve documentation you come across.</p>
<p>When cloning a repository within VS Code, choice the HTTPS option. The Git option often throws authentication errors at you. If you have a fix or better workflow, be my guest to document it.</p>
<p>The repository is now availible as a VS Code project. The repository is now added as remote withing VS Code source control, labeled as origin. You can now pull from its origin to get new changes, commit your changes and push them to be availble to others.</p>
<h1>Create a new project</h1>
<p>Create a new GitLab project within the UI at: <a href="https://gitlab.com/projects/new#blank_project">https://gitlab.com/projects/new#blank_project</a>. Clone the repository as described above.</p>
<p>Can this be done from within VS Code?</p>
<h1>Contributing</h1>
<p>Guidelines…</p>
<p>Elaborate on merge vs push.</p>
<p>&nbsp;</p>
